function vg21_3cast1(t,efemeridy_a,efemeridy_b,fid)
%
%vg21_3cast1(t,efemeridy_a,efemeridy_b,fid)
%

PRN = efemeridy_a(1);


wE = 7292115.1467e-11; %hlov rotace Zeme
GM = 398.6005e12;%geocentrick konstanta

ro = 180/pi;

fprintf(fid,'Zadan hodnoty:\n');
fprintf(fid,'----------------------------------------------------------\n');
fprintf(fid,'PRN = %.f\n',PRN);
fprintf(fid,'  t = %.f sec   (%02.f:%02.f:%04.1f)\n\n',t,c2dms(t/3600));

fprintf(fid,'----------------------------------------------------------\n');
fprintf(fid,'Vypocten hodnoty:\n');
fprintf(fid,'----------------------------------------------------------\n');

t0 = 3600 * (efemeridy_a(5) + efemeridy_a(6)/60 + efemeridy_a(7)/3600);

fprintf(fid,'                 cas t0 = %.f sec   (%02.f:%02.f:%04.1f)\n',t0,c2dms(t0/3600));

opr_t0 = efemeridy_a(8) + efemeridy_a(9) * (t-t0) + efemeridy_a(10) * (t-t0);
fprintf(fid,' oprava hodin v case t0 = %.12f sec\n',opr_t0);
% v tto loze se s opravou hodin druzice nepoct, je treba jen pro kontrolu vsledku na athene


Crs = efemeridy_b(1,2);
Dn = efemeridy_b(1,3);
M0 = efemeridy_b(1,4);

Cuc = efemeridy_b(2,1);
e = efemeridy_b(2,2);
Cus = efemeridy_b(2,3);
a = efemeridy_b(2,4)^2;

TOE = efemeridy_b(3,1);
Cic = efemeridy_b(3,2);
l0 = efemeridy_b(3,3);
Cis = efemeridy_b(3,4);

i0 = efemeridy_b(4,1);
Crc = efemeridy_b(4,2);
w0 = efemeridy_b(4,3);
dW = efemeridy_b(4,4);

i = efemeridy_b(5,1);



%stredni anomalie M
M = M0 + ((GM/a^3)^0.5 + Dn) * (t - t0);
fprintf(fid,'     stredni anomalie M = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',M,c2dms(ro*M));

%excentrick anomlie
E = M;
X = 0;

while(abs(X-E) > eps)
    X = E;
    E = M + e * sin(E);
    %fprintf(fid,'%.19f \n',E)
end
fprintf(fid,' excentrick anomlie E = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',E,c2dms(ro*E));


%prava anomalie v
v = 2 * atan( ( ((1+e)/(1-e))^0.5 ) * tan(E/2));
fprintf(fid,'       prav anomlie v = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',v,c2dms(ro*v));

%argument srky u
u = v + w0;
% X = 0;
% while(abs(X-u) > eps)
%     X = u;
    u = v + w0 + Cuc * cos(2*u) + Cus * sin(2*u); %kontrolou na athene to jinak neprojde ...
% end
fprintf(fid,'       argument srky u = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',u,c2dms(ro*u));

%dlka pruvodice r
r = a * (1 - e * cos(E)) + Crc * cos(2*u) + Crs * sin(2*u);
fprintf(fid,'      dlka pruvodice r = %1.6f m\n',r);

%argument srky w ???
w = w0 + Cuc * cos(2*u) + Cus * sin(2*u);
fprintf(fid,'     argument perigea w = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',w,c2dms(ro*w));

%sklon roviny drhy i
i = i0 + Cic * cos(2*u) + Cis * sin(2*u) + i * (t - t0);
fprintf(fid,'   sklon roviny drhy i = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',i,c2dms(ro*i));

%dlka vstupnho uzlu l
l = l0 - wE * TOE + (dW - wE)*(t - t0);
fprintf(fid,'dlka vstupnho uzlu l = %15.11f rad   (%+04.f%02.f''%08.5f'''')\n',l,c2dms(ro*l));

%rovinn souradnice pruvodice druzice
dr = r * [cos(u);sin(u);0];
fprintf(fid,'\nPoloha druzice v case t (rovina drhy):\n');
fprintf(fid,'      x = %19.4f m\n',dr(1));
fprintf(fid,'      y = %19.4f m\n',dr(2));

%rovnkov systm pevne spojen se Zem
dro = Rz(-l) * Rx(-i) * dr;
fprintf(fid,'\nPoloha druzice v case t (WGS-84):\n');
fprintf(fid,'      X = %19.4f m\n',dro(1));
fprintf(fid,'      Y = %19.4f m\n',dro(2));
fprintf(fid,'      Z = %19.4f m\n',dro(3));