function [azimut,zenit,tab,Vec_r,Vec_rt,Vec_l,Vec_i,Vec_w] = vg21_3cast2(t,efemeridy_a,efemeridy_b,fi,lamda,Hel)
%
%[azimut,zenit,tab] = vg21_3cast2(t,efemeridy_a,efemeridy_b,fi,lamda,Hel)
%
%vrac azimut a zenitku v radinech
%



wE = 7292115.1467e-11; %hlov rotace Zeme
GM = 398.6005e12;%geocentrick konstanta

%-------------------------------------------------------------------------------------
% vpocet polohy druzice v case t(i) ve WGS
%-------------------------------------------------------------------------------------

wE = 7292115.1467e-11; %hlov rotace Zeme
GM = 398.6005e12;%geocentrick konstanta

ro = 180/pi;

t0 = 3600 * (efemeridy_a(5) + efemeridy_a(6)/60 + efemeridy_a(7)/3600);

opr_t0 = efemeridy_a(8) + efemeridy_a(9) * (t-t0) + efemeridy_a(10) * (t-t0);

Crs = efemeridy_b(1,2);
Dn = efemeridy_b(1,3);
M0 = efemeridy_b(1,4);

Cuc = efemeridy_b(2,1);
e = efemeridy_b(2,2);
Cus = efemeridy_b(2,3);
a = efemeridy_b(2,4)^2;

TOE = efemeridy_b(3,1);
Cic = efemeridy_b(3,2);
l0 = efemeridy_b(3,3);
Cis = efemeridy_b(3,4);

i0 = efemeridy_b(4,1);
Crc = efemeridy_b(4,2);
w0 = efemeridy_b(4,3);
dW = efemeridy_b(4,4);

i = efemeridy_b(5,1);



%stredni anomalie M
M = M0 + ((GM/a^3)^0.5 + Dn) * (t - t0);  %? oprava hodin ?


%excentrick anomlie
E = M;
X = 0;

while(abs(X-E) > eps)
    X = E;
    E = M + e * sin(E);
    %fprintf(j,'%.19f \n',E)
end


%prava anomalie v
v = 2 * atan( ( ((1+e)/(1-e))^0.5 ) * tan(E/2));

%argument srky u
u = v + w0;
%X = 0;
%while(abs(X-u) > eps)
%    X = u;
    u = v + w0 + Cuc * cos(2*u) + Cus * sin(2*u);
%end

%dlka pruvodice r
r = a * (1 - e * cos(E)) + Crc * cos(2*u) + Crs * sin(2*u);

%pruvodic
xr = r .* cos(v);
yr = r .* sin(v);
zr = r .* 0;

Vec_r = [xr yr zr];

%argument perigea w
w = w0 + Cuc * cos(2*u) + Cus * sin(2*u);
Vec_w = w;

%sklon roviny drhy i
i = i0 + Cic * cos(2*u) + Cis * sin(2*u) + i * (t - t0);
Vec_i = i;

%dlka vstupnho uzlu l
l = l0 - wE * TOE + (dW - wE)*(t - t0);
Vec_l = l;

%rovinn souradnice pruvodice druzice
%dr = r * [cos(u);sin(u);0];

%nematicovy vypocet
drx = r .* cos(u);
dry = r .* sin(u);
drz = r .* 0;


%rovnkov systm pevne spojen se Zem
%dro = Rz(-l) * Rx(-i) * dr;

%nematicovy vypocet
drox =  cos(-l) .* drx + sin(-l) .* cos(-i) .* dry + sin(-l) .* sin(-i) .* drz;
droy = -sin(-l) .* drx + cos(-l) .* cos(-i) .* dry + cos(-l) .* sin(-i) .* drz;
droz =                             -sin(-i) .* dry +            cos(-i) .* drz;



%-------------------------------------------------------------------------------------
% prevod WGS do obzornkovho systmu (xyz)
%-------------------------------------------------------------------------------------



[rox,roy,roz] = flH2XYZ(fi,lamda,Hel,5); %prevod stanoviska z flh na XYZ

%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%(!!! PRO NERUSENY POHYB !!! - pro vpocet radiln rychlosti)
%rychlost pruvodice 

xrt = ((GM / (a * (1 - e^2)))^0.5) .* -sin(v);
yrt = ((GM / (a * (1 - e^2)))^0.5) .* (cos(v) + e);
zrt = xrt .* 0;

Vec_rt = [xrt yrt zrt];

% %pruvodic
% xr = a .* (cos(E) - e);
% yr = a .* ((1 - e^2)^0.5 .* sin(E));
% zr = xr .* 0;
% 
% Vec_r = [xr yr zr];

%Vec_r = [drx dry drz];


%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++





x_obzor =  -(cos(pi/2 - fi/ro) .* cos(lamda/ro) .* (drox - rox) + cos(pi/2 - fi/ro) .* sin(lamda/ro) .* (droy - roy) + -sin(pi/2 - fi/ro) .* (droz - roz));
y_obzor =  -(                    -sin(lamda/ro) .* (drox - rox) +                      cos(lamda/ro) .* (droy - roy));
z_obzor =    sin(pi/2 - fi/ro) .* cos(lamda/ro) .* (drox - rox) + sin(pi/2 - fi/ro) .* sin(lamda/ro) .* (droy - roy) +  cos(pi/2 - fi/ro) .* (droz - roz);



%-------------------------------------------------------------------------------------
% prevod obzornkovho systmu (xyz) na sfrick (azimut,zenitka)
%-------------------------------------------------------------------------------------

azimut = atan2(y_obzor,x_obzor);
 zenit = pi/2 - atan2(z_obzor,(x_obzor.^2 + y_obzor.^2).^0.5);

azimut = (azimut < 0) * 2*pi + azimut; %prevod azimutu na kladn hodnoty (0-360)

%prehled vsledku

tab = [t drox droy x_obzor y_obzor z_obzor azimut zenit];