%VG21 uloha 3 (GPS - vpocet drah druzic}
%RSC (rsc@email.cz)

clear %vymazani pameti
clc %smazani obrazovky
cla;
clf;

tic;%stopky

ro=180/pi;

%----------------------------
fid = fopen('vg21_u03.txt','w'); %vytvoreni *.txt souboru pro vystup
%---------------------------- 
fprintf(fid,'          VG21 - uloha 3\n\n\n');
fprintf(fid,'==========================================================\n');
fprintf(fid,'                 cst 3.1\n');
fprintf(fid,'==========================================================\n');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% VSTUPNI HODNOTY
PRN1 = 27;
t1 = 40060.000;

PRN2 = 27;
t2 = 42852.000;

fi = 28;
lamda = 35;
Hel = 793;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% konstanty
wE = 7292115.1467e-11; %hlov rotace Zeme
GM = 398.6005e12;%geocentrick konstanta

PRN = PRN1;

%---------------------------------------------------------------------------------------
[EPH1,efemeridy_t1a,efemeridy_t1b] = ephemeris(PRN1,t1,'GOPE0810.00N'); %nacten efemerid
%---------------------------------------------------------------------------------------
fprintf(fid,'\ncas t1\n\n');

vg21_3cast1(t1,efemeridy_t1a,efemeridy_t1b,fid);

%---------------------------------------------------------------------------------------
[EPH2,efemeridy_t2a,efemeridy_t2b] = ephemeris(PRN2,t2,'GOPE0810.00N'); %nacten efemerid
%---------------------------------------------------------------------------------------

fprintf(fid,'\n==========================================================\n');

fprintf(fid,'\ncas t2\n\n');

vg21_3cast1(t2,efemeridy_t2a,efemeridy_t2b,fid);

%----------------------------------------------------------------------------------------

fprintf(fid,'\n==========================================================\n');
fprintf(fid,'                 cst 3.2\n');
fprintf(fid,'==========================================================\n\n');



efemeridy_a = efemeridy_t1a;
efemeridy_b = efemeridy_t1b;
%------------------------ < FCE ---------------------------------------------------

od = 0;
do = 86400;
krok = 60;

t = [od:krok:do]';

[azimut,zenit,tab,Vec_r,Vec_rt,Vec_l,Vec_i,Vec_w] = vg21_3cast2([od:900:do]',efemeridy_a,efemeridy_b,fi,lamda,Hel); %pro vstup

zenit_v = tab(:,8);

fprintf(fid,'Pohyb druzice PRN %.f v prubehu dne 21.3.2000 (krok 15'' - obzornkov systm (ne WGS))\n',PRN);
fprintf(fid,'------------------------------------------------------------------------------------------------\n');
fprintf(fid,'   cas [sec]            X [m]          Y [m]          Z [m]      azimut         zenit\n');
fprintf(fid,'------------------------------------------------------------------------------------------------\n');

for i=1:97
    fprintf(fid,'%5.f (%02.f:%02.f:%02.f)  %13.3f  %13.3f  %13.3f  %3.f%02.f''%04.1f''''  %3.f%02.f''%04.1f''''\n',tab(i,1),c2dms(tab(i,1)/3600),tab(i,4:6),c2dms(ro*tab(i,7)),c2dms(ro*tab(i,8)));
end

[azimut,zenit,tab3] = vg21_3cast2(t,efemeridy_a,efemeridy_b,fi,lamda,Hel);

%-------------------------------------------------------------------------------------
% vpocet vchodu a zpadu druzice + sky plot
%-------------------------------------------------------------------------------------

vzp = 0.01; %presnost urceni vychodu a zpadu [sec]

figure(1);% 1. graf (sky-plot)


azimut = -azimut; %otocen azimutu na smer HR (MAT je opacn)
azimut = azimut + pi/2; %presun poctku z vchodu na sever
azimut = azimut - (azimut >= 2*pi) * 2*pi; %meze 0-360


vychod = [];
zapad = [];

for i=1:do/krok %nalezen vchodu a zpadu
    if(zenit(i) >= pi/2 & zenit(i+1) <= pi/2);
        vychod(1,end+1) = i;
    end
    
    if(zenit(i) <= pi/2 & zenit(i+1) >= pi/2);
        zapad(1,end+1) = i;
    end
    
end


%druh vchod a zpad, pokud nastane az dals den
if max(size(vychod)) == 1 | max(size(zapad)) == 1;
    t4 = [do:krok:2*do]';
    [azimut4,zenit4,tab4] = vg21_3cast2(t4,efemeridy_a,efemeridy_b,fi,lamda,Hel);

    vychod4 = [];
    zapad4 = [];

    for i=1:do/krok %nalezen vchodu a zpadu
        if(zenit4(i) >= pi/2 & zenit4(i+1) <= pi/2);
            vychod4(1,end+1) = i;
        end

        if(zenit4(i) <= pi/2 & zenit4(i+1) >= pi/2);
            zapad4(1,end+1) = i;
        end
    end%for
end



cla;
clf;

 hold on;%prekreslovn
 axis equal;%stejn pomer os
 axis off;

 
dim = do/krok;

fprintf(fid,'\n\n------------------------------------------------------------------------------------------------\n');
fprintf(fid,'Vchod a zpad druzice PRN %.f v prubehu dne 21.3.2000 pro bod %.f ss %.f vd %.f m\n',PRN,fi,lamda,Hel);
fprintf(fid,'------------------------------------------------------------------------------------------------\n');



if min(zapad) < min(vychod)
    %fprintf(fid,'nejprve zapadne\n');
    if max(size(vychod)) == 1
        t3 = [t(zapad):vzp:t(zapad+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));

        t3 = [t(vychod):vzp:t(vychod+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));
        
%        fprintf(fid,'druh zpad druzice nenastane\n');
%        fprintf(fid,'druh vchod druzice nenastane\n');
        
        t5 = [t4(zapad4):vzp:t4(zapad4+1)];
        [azimut4,zenit4] = vg21_3cast2(t5,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t5,azimut4,zenit4);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f 22.3.2000) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms((z1-86400)/3600),c2dms(ro*az1));
        
        t5 = [t4(vychod4):vzp:t4(vychod4+1)];
        [azimut4,zenit4] = vg21_3cast2(t5,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t5,azimut4,zenit4);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f 22.3.2000) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms((v1-86400)/3600),c2dms(ro*av1));
        

        
        azimut1 = azimut(vychod:dim);
        zenit1 = zenit(vychod:dim);
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice

        azimut1 = azimut(1:zapad);
        zenit1 = zenit(1:zapad);
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice
    else
        t3 = [t(zapad(1)):vzp:t(zapad(1)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));

        t3 = [t(vychod(1)):vzp:t(vychod(1)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));
        
        t3 = [t(zapad(2)):vzp:t(zapad(2)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));
        
        t3 = [t(vychod(2)):vzp:t(vychod(2)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));
        
        azimut1 = azimut(vychod(2):dim);
        zenit1 = zenit(vychod(2):dim);
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice

        azimut1 = azimut(1:zapad(1));
        zenit1 = zenit(1:zapad(1));
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice
        
        azimut1 = azimut(vychod(1):zapad(2));
        zenit1 = zenit(vychod(1):zapad(2));
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice
    end
else
    %fprintf(fid,'nejprve vyjde\n');
    if max(size(vychod)) == 1;
        
        t3 = [t(vychod):vzp:t(vychod+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));

        t3 = [t(zapad):vzp:t(zapad+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));

%        fprintf(fid,'druh vchod druzice nenastane\n');
%        fprintf(fid,'druh zpad druzice nenastane\n');
        
        t5 = [t4(vychod4):vzp:t4(vychod4+1)];
        [azimut4,zenit4] = vg21_3cast2(t5,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t5,azimut4,zenit4);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f 22.3.2000) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms((v1-86400)/3600),c2dms(ro*av1));
        
        t5 = [t4(zapad4):vzp:t4(zapad4+1)];
        [azimut4,zenit4] = vg21_3cast2(t5,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t5,azimut4,zenit4);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f 22.3.2000) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms((z1-86400)/3600),c2dms(ro*az1));
        
        
        
        azimut1 = azimut(vychod:zapad);
        zenit1 = zenit(vychod:zapad);
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice
    else
        t3 = [t(vychod(1)):vzp:t(vychod(1)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));

        t3 = [t(zapad(1)):vzp:t(zapad(1)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));
        
        t3 = [t(vychod(2)):vzp:t(vychod(2)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [v1,av1] = vz(t3,azimut3,zenit3);
        
        fprintf(fid,'vchod druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',v1,c2dms(v1/3600),c2dms(ro*av1));

        t3 = [t(zapad(2)):vzp:t(zapad(2)+1)];
        [azimut3,zenit3] = vg21_3cast2(t3,efemeridy_a,efemeridy_b,fi,lamda,Hel);
        [z1,az1] = vz(t3,azimut3,zenit3);

        fprintf(fid,' zpad druzice = %8.2f sec (%02.f:%02.f:%04.1f) pod azimutem  %3.f%02.f''%05.2f''''\n',z1,c2dms(z1/3600),c2dms(ro*az1));
        
        azimut1 = azimut(vychod(1):zapad(1));
        zenit1 = zenit(vychod(1):zapad(1));
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice

        azimut1 = azimut(vychod(2):zapad(2));
        zenit1 = zenit(vychod(2):zapad(2));
        plot(zenit1 .* cos(azimut1),zenit1 .* sin(azimut1));%drha druzice
    end
    
end


%-------------------------------------------------------------------------------------
% sky plotu - osy a polis
%-------------------------------------------------------------------------------------
hold on;%prekreslovn
axis equal;%stejn pomer os
axis off;

kruh = 0:0.1:2*pi+0.1;
p = pi/2;



%odon druzice (smer letu)
dr_x = zenit(1) * cos(azimut(1));
dr_y = zenit(1) * sin(azimut(1));
dr_r = 0.1;
dr_smer = pi + atan2(zenit(2) * sin(azimut(2))-zenit(1) * sin(azimut(1)),zenit(2) * cos(azimut(2))-zenit(1) * cos(azimut(1)));

plot([dr_x,dr_x + dr_r * cos(dr_smer)],[dr_y,dr_y + dr_r * sin(dr_smer)],'r');
plot([dr_x,dr_x + dr_r * cos(dr_smer + pi/9)],[dr_y,dr_y + dr_r * sin(dr_smer + pi/9)],'r');
plot([dr_x,dr_x + dr_r * cos(dr_smer - pi/9)],[dr_y,dr_y + dr_r * sin(dr_smer - pi/9)],'r');

plot(dr_x,dr_y,'r.');%druzice v 0:00:00

%plot(zenit .* cos(azimut),zenit .* sin(azimut),'.');%cel drha druzice
axis([-3.2 3.2 -3.2 3.2]); %meze vykreslovn

plot(pi/2 * cos(kruh),pi/2 * sin(kruh),'k:');%obzor (90)
plot(pi/6 * cos(kruh),pi/6 * sin(kruh),'k:');%30
plot(pi/3 * cos(kruh),pi/3 * sin(kruh),'k:');%60

plot([-p,p],[0,0],'k:');%VZ
plot([0,0],[-p,p],'k:');%SJ

plot([p*cos(pi/6),-p*cos(pi/6)],[p*sin(pi/6),-p*sin(pi/6)],'k:');%
plot([p*cos(pi/3),-p*cos(pi/3)],[p*sin(pi/3),-p*sin(pi/3)],'k:');%

plot(-[p*cos(pi/6),-p*cos(pi/6)],[p*sin(pi/6),-p*sin(pi/6)],'k:');%
plot(-[p*cos(pi/3),-p*cos(pi/3)],[p*sin(pi/3),-p*sin(pi/3)],'k:');%

text(0,p+0.25,' N','HorizontalAlignment','center','FontWeight','bold');%
text(0,-p-0.25,'S','HorizontalAlignment','center','FontWeight','bold');%
text(p+0.3,0,'E','HorizontalAlignment','center','FontWeight','bold');%
text(-p-0.4,0,'W','HorizontalAlignment','center','FontWeight','bold');%



text(pi/6+0.1,-0.07,'30','HorizontalAlignment','center','FontSize',7);%popis 30;
text(pi/3+0.1,-0.07,'60','HorizontalAlignment','center','FontSize',7);%popis 60
text(pi/2+0.15,0,'90 ','HorizontalAlignment','center','FontSize',7);%popis 90

% text(-pi/6-0.1,-0.07,'30','HorizontalAlignment','center','FontSize',7);%popis 30;
% text(-pi/3-0.1,-0.07,'60','HorizontalAlignment','center','FontSize',7);%popis 60
% text(-pi/2-0.1,-0.07,'90 ','HorizontalAlignment','center','FontSize',7);%popis 90

text(0,p+0.07,'  0','HorizontalAlignment','center','FontSize',7);%popis 0
text(p*cos(pi/3)+0.15,p*sin(pi/3)+0.05,'30','HorizontalAlignment','center','FontSize',7);%popis 30
text(p*cos(pi/6)+0.15,p*sin(pi/6),'60','HorizontalAlignment','center','FontSize',7);%popis 60
text(p*cos(pi/6)+0.15,-p*sin(pi/6)-0.05,'120','HorizontalAlignment','center','FontSize',7);%popis 120
text(p*cos(pi/3)+0.15,-p*sin(pi/3)-0.05,'150','HorizontalAlignment','center','FontSize',7);%popis 150
text(0,-p-0.07,'  180','HorizontalAlignment','center','FontSize',7);%popis 180
text(-p*cos(pi/3)-0.1,-p*sin(pi/3)-0.1,'210','HorizontalAlignment','center','FontSize',7);%popis 210
text(-p*cos(pi/6)-0.15,-p*sin(pi/6)-0.05,'240','HorizontalAlignment','center','FontSize',7);%popis 240
text(-p*cos(pi/6)-0.08,p*sin(pi/6)+0.05,'300','HorizontalAlignment','center','FontSize',7);%popis 300
text(-p*cos(pi/3)-0.1,p*sin(pi/3)+0.05,'330','HorizontalAlignment','center','FontSize',7);%popis 330
text(-pi/2-0.1,0,'270   ','HorizontalAlignment','center','FontSize',7);%popis 270

% text(0,p+0.07,'  0','HorizontalAlignment','center','FontSize',7);%popis 0
% text(-p*cos(pi/3)-0.05,p*sin(pi/3)+0.05,'30','HorizontalAlignment','center','FontSize',7);%popis 30
% text(-p*cos(pi/6)-0.08,p*sin(pi/6)+0.05,'60','HorizontalAlignment','center','FontSize',7);%popis 60
% text(-p*cos(pi/6)-0.15,-p*sin(pi/6)-0.05,'120','HorizontalAlignment','center','FontSize',7);%popis 120
% text(-p*cos(pi/3)-0.1,-p*sin(pi/3)-0.1,'150','HorizontalAlignment','center','FontSize',7);%popis 150
% text(0,-p-0.07,'  180','HorizontalAlignment','center','FontSize',7);%popis 180
% text(p*cos(pi/3)+0.15,-p*sin(pi/3)-0.05,'210','HorizontalAlignment','center','FontSize',7);%popis 210
% text(p*cos(pi/6)+0.15,-p*sin(pi/6)-0.05,'240','HorizontalAlignment','center','FontSize',7);%popis 240
% text(p+0.17,0,'270','HorizontalAlignment','center','FontSize',7);%popis 270
% text(p*cos(pi/6)+0.15,p*sin(pi/6),'300','HorizontalAlignment','center','FontSize',7);%popis 300
% text(p*cos(pi/3)+0.15,p*sin(pi/3)+0.05,'330','HorizontalAlignment','center','FontSize',7);%popis 330


text(-2.5,2.1,['PRN ',num2str(PRN),'   \phi = ',num2str(fi),' s   \lambda = ',num2str(lamda),' vd   H = ',num2str(Hel),' m   (21.3.2000)']); %nadpis

%:::
print -f1 -dpng -r200 '3.2.png'; %automaticky export do *.png
%:::
fprintf(fid,'\n==========================================================\n');
fprintf(fid,'                 cst 3.3\n');
fprintf(fid,'==========================================================\n\n');

figure(2); % 2.graf ()

hold on;%prekreslovn
axis off;


t_v = [od:900:do]';

 
 %elevacni uhel (zenit + elev = 90)
 elevacni_uhel = pi/2 - zenit;
 
 plot(t,2*elevacni_uhel);
 
 

%  %radiln rychlost
%  
%  
%  %tab  - po 15'
%  %tab3 - po 1'
% [rox,roy,roz] = flH2XYZ(fi,lamda,Hel,5); %prevod stanoviska z flh na XYZ 
%  
% Vec_roPD = [tab(:,4) - rox  tab(:,5) - roy  tab(:,6) - roz];
% 
% roPD = ((tab(:,4) - rox).^2 + (tab(:,5) - roy).^2 + (tab(:,6) - roz).^2).^0.5;
% 
% Vec_droD = [];
% 
% for i=1:97
%     Vec_droD(i,:) = (wE * dRz(-Vec_l(i)) * Rx(-Vec_i(i)) * Rz(-Vec_w(i)) * Vec_r(i,:)' + Rz(-Vec_l(i)) * Rx(-Vec_i(i)) * Rz(-Vec_w(i)) * Vec_rt(i,:)')';
% end
%  
% radialni_rychlost = [];
% 
% for i=1:97
%     %radialni_rychlost(i,:) = (Vec_roPD(i) * Vec_droD(i)') / Vec_roPD(i);
%     radialni_rychlost(i,:) = (Vec_roPD(i,1) * Vec_droD(i,1) + Vec_roPD(i,2) * Vec_droD(i,2) + Vec_roPD(i,3) * Vec_droD(i,3)) / norm(Vec_roPD(i,:));
% end


%----------------------------------------------------------
%radiln rychlost (by Mlokin)

radialni_rychlost = [];

tr = -900;

for i=1:97
    tr = tr + 900;
    radialni_rychlost(i,:) = radialt([fi/ro,lamda/ro,Hel],tr,EPH1);
end

%----------------------------------------------------------

plot(t_v,4*0.00075 * radialni_rychlost,'r');

h = 86400/24;

plot([-500 do+500],[0 0],'k'); %osa x

for i=1:23
    plot([i*h i*h],[0 -0.05],'k'); %i:00
end

text(500,-0.2,'0^{h}','FontSize',7);%popis 00:00
text(2*h-500,-0.2,'2^{h}','FontSize',7);%popis 02:00
text(4*h-500,-0.2,'4^{h}','FontSize',7);%popis 04:00
text(6*h-500,-0.2,'6^{h}','FontSize',7);%popis 06:00
text(8*h-500,-0.2,'8^{h}','FontSize',7);%popis 08:00
text(10*h-900,-0.2,'10^{h}','FontSize',7);%popis 10:00
text(12*h-900,-0.2,'12^{h}','FontSize',7);%popis 12:00
text(14*h-900,-0.2,'14^{h}','FontSize',7);%popis 14:00
text(16*h-900,-0.2,'16^{h}','FontSize',7);%popis 16:00
text(18*h-900,-0.2,'18^{h}','FontSize',7);%popis 18:00
text(20*h-900,-0.2,'20^{h}','FontSize',7);%popis 20:00
text(22*h-900,-0.2,'22^{h}','FontSize',7);%popis 22:00
text(24*h-1000,-0.2,'2 4^{h}','FontSize',7);%popis 24:00





plot([0 0],[pi -pi],'k'); %osa y (elevacni uhel)

s = 2*pi / 180;

for i=-90:10:90
    plot([-500 0],[i*s i*s],'k'); %i
end

text(-4000,pi,'90','FontSize',7);%
text(-4000,pi/1.5,'60','FontSize',7);%
text(-4000,pi/3,'30','FontSize',7);%
text(-4000,0,'0','FontSize',7);%popis 0
text(-5000,-pi/3,'-30','FontSize',7);%
text(-5000,-pi/1.5,'-60','FontSize',7);%
text(-5000,-pi,'-90','FontSize',7);%

plot([do do],[3 -3],'k'); %osa y (radialni rychlost)

for i=-3:0.375:3
    plot([do do+500],[i i],'k'); %i m/s
end

text(do+2000,3,'1000 m/s','FontSize',7);%
text(do+2000,2.25,'750 m/s','FontSize',7);%
text(do+2000,1.5,'500 m/s','FontSize',7);%
text(do+2000,0.75,'250 m/s','FontSize',7);%
text(do+2000,0,'0 m/s','FontSize',7);%popis 0 m/s
text(do+1500,-0.75,'-250 m/s','FontSize',7);%
text(do+1500,-1.5,'-500 m/s','FontSize',7);%
text(do+1500,-2.25,'-750 m/s','FontSize',7);%
text(do+1500,-3,'-1000 m/s','FontSize',7);%

plot([0 15000],-[4 4],'b'); %
text(17000,-4,'elevacn hel','FontSize',9);%

plot([do/2 do/2+15000],-[4 4],'r'); %
text(do/2+17000,-4,'radiln rychlost','FontSize',9);%
%:::
print -f2 -dpng -r200 '3.3.png'; %automaticky export do *.png
%:::
fprintf(fid,'Elevacn hel a radiln rychlost druzice PRN %.f\n',PRN);
fprintf(fid,'---------------------------------------------------------------\n');
fprintf(fid,'   cas [sec]       elevacn hel     radiln rychlost [m/s]\n');
fprintf(fid,'---------------------------------------------------------------\n');

%-------------------------------------------------------
elevacni_uhel = pi/2 - zenit_v;
%-------------------------------------------------------

 for i=1:97
     fprintf(fid,'%5.f (%02.f:%02.f:%02.f)    %3.f%02.f''%04.1f''''      %12.3f\n',t_v(i),c2dms(t_v(i)/3600),c2dms(ro*elevacni_uhel(i)),radialni_rychlost(i));
 end

fclose(fid);
fprintf('\n\nCseln vsledky jsou ulozeny v souboru "vg21_u03.txt",\nsky plot v souboru "3.2.png" a graf s elevacnim hlem\na radiln rychlost v souboru "3.3.png" v pracovnm adresri\n\n');

fprintf(1,'\n\ncelkov cas vpoctu a exportu %.3f sec (vetsinu casu zabere export obrzku)\n',toc);